#include <iostream>

using namespace std;

int main()
{
    int N,i,j,m;
    cin>>N;
    for(i=1,j=N+1,m=0;m<N;i=i+2,j=j+2,m=m+2)
        cout<<i<<" "<<j<<" ";
    cout<<endl;
    for(i=N,j=2*N-(N+1)/2,m=0;m<N;i=i-2,j=j+2,m=m+2)
        cout<<i<<" "<<j<<" ";
    return 0;
}